package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 自行车棚防化靴/防化服柜子对象 t_ppe_cmldef_locker
 *
 * @author ssy
 * @date 2023-11-30
 */
public class TPpeCmldefLocker extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** PPE种类 */
    @Excel(name = "PPE种类")
    private String ppeType;

    /** 应配备岗位 */
    @Excel(name = "应配备岗位")
    private String usePost;

    /** 是否配备 */
    @Excel(name = "是否配备")
    private String isEquip;

    /** 是否无破损、未被污染 */
    @Excel(name = "是否无破损、未被污染")
    private String isPollution;

    /** 摆放符合要求 */
    @Excel(name = "摆放符合要求")
    private String putAsRequired;

    /** 检验合格的标识在有效期内 */
    @Excel(name = "检验合格的标识在有效期内")
    private String isIdentification;

    /** 关联主表id */
    @Excel(name = "关联主表id")
    private Long mainId;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPpeType(String ppeType)
    {
        this.ppeType = ppeType;
    }

    public String getPpeType()
    {
        return ppeType;
    }
    public void setUsePost(String usePost)
    {
        this.usePost = usePost;
    }

    public String getUsePost()
    {
        return usePost;
    }
    public void setIsEquip(String isEquip)
    {
        this.isEquip = isEquip;
    }

    public String getIsEquip()
    {
        return isEquip;
    }
    public void setIsPollution(String isPollution)
    {
        this.isPollution = isPollution;
    }

    public String getIsPollution()
    {
        return isPollution;
    }
    public void setPutAsRequired(String putAsRequired)
    {
        this.putAsRequired = putAsRequired;
    }

    public String getPutAsRequired()
    {
        return putAsRequired;
    }
    public void setIsIdentification(String isIdentification)
    {
        this.isIdentification = isIdentification;
    }

    public String getIsIdentification()
    {
        return isIdentification;
    }
    public void setMainId(Long mainId)
    {
        this.mainId = mainId;
    }

    public Long getMainId()
    {
        return mainId;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ppeType", getPpeType())
            .append("usePost", getUsePost())
            .append("isEquip", getIsEquip())
            .append("isPollution", getIsPollution())
            .append("putAsRequired", getPutAsRequired())
            .append("isIdentification", getIsIdentification())
            .append("mainId", getMainId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
